<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>
                Class :
                <h:outputText value="??" rendered="#{classDescriptorBean.selectedClass == null}"/>
                <h:outputText value="#{classDescriptorBean.selectedClass.name}"
                              rendered="#{classDescriptorBean.selectedClass != null and classDescriptorBean.selectedClass.documentationSpec == null}"/>
                <h:outputText value="#{classDescriptorBean.selectedClass.documentationSpec.name}"
                              rendered="#{classDescriptorBean.selectedClass != null and classDescriptorBean.selectedClass.documentationSpec != null}"/>
            </h1>
            <ui:decorate template="/layout/panels/_panel_title.xhtml"
                         rendered="#{classDescriptorBean.selectedClass != null}">
                <ui:define name="panel_title">
                    Class : #{classDescriptorBean.selectedClass.name}
                </ui:define>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Class Name</ui:define>
                        <h:outputText value="#{classDescriptorBean.selectedClass.name}"
                                      rendered="#{classDescriptorBean.selectedClass.documentationSpec == null}"/>
                        <h:outputText value="#{classDescriptorBean.selectedClass.documentationSpec.name}"
                                      rendered="#{classDescriptorBean.selectedClass.documentationSpec != null}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Class Kind</ui:define>
                        <h:outputText value="#{classDescriptorBean.selectedClass.class.simpleName}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{classDescriptorBean.selectedClass.class.simpleName.equals('TemplateSpecType')}">
                        <ui:define name="label">Template ID</ui:define>
                        <h:outputText style="color:#aa0000;" value="#{classDescriptorBean.selectedClass.templateId}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{classDescriptorBean.selectedClass.class.simpleName.equals('AdvancedTemplateType')}">
                        <ui:define name="label">Constraint Advanced</ui:define>
                        <pre>
                             <h:outputText value="#{classDescriptorBean.selectedClass.constraintAdvanced}"/>
                        </pre>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{classDescriptorBean.selectedClass.documentationSpec != null}">
                        <ui:define name="label">Description</ui:define>
                        <h:outputText value="#{classDescriptorBean.selectedClass.documentationSpec.description} "/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{classDescriptorBean.selectedClass.documentationSpec != null}">
                        <ui:define name="label">Document</ui:define>
                        <h:outputText value="#{classDescriptorBean.selectedClass.documentationSpec.document} "/>
                        <h:outputText value="(#{classDescriptorBean.selectedClass.documentationSpec.paragraph})"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Parent</ui:define>
                        <h:outputText value="#{classDescriptorBean.selectedClass.parentId}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Package</ui:define>
                        <h:outputText value="#{classDescriptorBean.selectedClass.mbPackage.name}"/>
                    </s:decorate>
                </dl>
                <ui:decorate template="/layout/panels/_panel_title.xhtml"
                             rendered="#{classDescriptorBean.selectedClass.constraint.size() &gt; 0}">
                    <ui:define name="panel_title">List of related constraints</ui:define>
                    <rich:list var="cons" value="#{classDescriptorBean.selectedClass.constraint}" type="unordered">
                        <h:outputText value="#{cons.description} "/>
                        <h:outputLink
                                value="../constraints/constraintDescriptor.seam?name=#{cons.name}&amp;pack=#{cons.classType.mbPackage.name}&amp;class=#{cons.classType.name}"
                                target="_blank">
                            <h:outputText value="more.." style="font-style: italic;"/>
                        </h:outputLink>
                    </rich:list>
                </ui:decorate>
            </ui:decorate>
            <h:outputText rendered="#{classDescriptorBean.selectedClass ==null}"
                          value="No class of validation exists with the specified name"/>
        </h:form>
    </ui:define>
</ui:composition>